Results 1 to 5 of 5

Thread: Placing a point a known distance along a line segment

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2021-02
    Posts
    1
    Login to Give a bone
    0

    Question Placing a point a known distance along a line segment

    I have several hundred of these occurrences where I have a line segment that starts at Pt.A (0,0) and ends at a known Pt.B (X,Y). (See illustration)

    Also known is the distance or length, L, along the line from the origin 0,0. I am trying to plot a point, Pt.C, at this location. I have tried doing the math in Excel but couldn't quite figure it out.

    I am wondering if there is a way to programmatically plot this point using either a .scr or LISP routine, or even draw a line that ends at the point.
    Any advice is appreciated!
    9B15A4CF-2017-46E2-8B93-306377BB8E06.jpeg

  2. #2
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    0

    Default Re: Placing a point a known distance along a line segment

    Hi,
    Initial example.

    Code:
    (entmake (list '(0 . "POINT") (cons 10 (polar pt_A (angle pt_A pt_B) len))))

  3. #3
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,420
    Login to Give a bone
    0

    Default Re: Placing a point a known distance along a line segment

    The steps to do this would be to draw a point at L distance from point A, using the angle of line AB assuming the start point of AB is A. Another method would be to draw a temporary circle at point A with the radius of L and find the intersection of the circle and line AB. The latter would work for all quadrants.
    C:> ED WORKING....


    LinkedIn

  4. #4
    AUGI Addict madcadder's Avatar
    Join Date
    2000-11
    Location
    Too far from the beach
    Posts
    1,054
    Login to Give a bone
    0

    Default Re: Placing a point a known distance along a line segment

    What you are looking for is the "measure" command, but it will place a point at every "L" distance from the beginning of line to the end, so you could end up with 12 points and having to erase 11.
    Or you could just draw a circle from 0,0 with a radius of the "L" if you have multiple lines extending out from 0,0.

  5. #5
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    561
    Login to Give a bone
    0

    Default Re: Placing a point a known distance along a line segment


Similar Threads

  1. 3D sketch - "Along X, Along Y, Along Z" constraints
    By dcook87725927 in forum Inventor Wish List
    Replies: 0
    Last Post: 2011-05-29, 10:47 PM
  2. Replies: 3
    Last Post: 2007-04-20, 12:33 AM
  3. Replies: 9
    Last Post: 2007-02-21, 10:43 PM
  4. Draw line from known point to unknown point
    By noadea in forum AutoLISP
    Replies: 1
    Last Post: 2007-02-09, 02:38 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •